Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.configuration
Interface WTCImportMBean

public interface WTCImportMBean
extends ConfigurationMBean

This interface provides access to the WTC import configuration attributes. The methods defined herein are applicable for WTC configuration at the WLS domain level.

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`java.lang.String` | `getLocalAccessPoint()`
`java.lang.String` | `getRemoteAccessPointList()`
`java.lang.String` | `getRemoteName()`
`java.lang.String` | `getResourceName()`
`void` | `setLocalAccessPoint(java.lang.String LocalAccessPoint)` Defines the name of the local access point that offers the service.
`void` | `setRemoteAccessPointList(java.lang.String RemoteAccessPointList)` Defines a comma-separated failover list that identifies the remote domain access points through which resources are imported.
`void` | `setRemoteName(java.lang.String RemoteName)` Defines the remote name of the service.
`void` | `setResourceName(java.lang.String ResourceName)` Defines the name used to identify an imported service.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`addLinkMbeanAttribute, getNotes, isPersistenceEnabled, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### setResourceName

    public void setResourceName(java.lang.String ResourceName)
                         throws javax.management.InvalidAttributeValueException

  Defines the name used to identify an imported service.

  The combination of the ResourceName, LocalAccessPoint and RemoteAccessPointList attributes must be unique within a WTCImportMbean.

  Legal NULL: false
  Parameters:
    `ResourceName` - the name for the remote domain access point

### getResourceName

    public java.lang.String getResourceName()

### setLocalAccessPoint

    public void setLocalAccessPoint(java.lang.String LocalAccessPoint)
                             throws javax.management.InvalidAttributeValueException

  Defines the name of the local access point that offers the service.

  Legal NULL: false
  Parameters:
    `LocalAccessPoint` - the name for the local domain access point

### getLocalAccessPoint

    public java.lang.String getLocalAccessPoint()

### setRemoteAccessPointList

    public void setRemoteAccessPointList(java.lang.String RemoteAccessPointList)
                                  throws javax.management.InvalidAttributeValueException

  Defines a comma-separated failover list that identifies the remote domain access points through which resources are imported.

  Example: TDOM1,TDOM2,TDOM3

  Legal NULL: false
  Parameters:
    `RemoteAccessPointList` - list of remote domain access point names

### getRemoteAccessPointList

    public java.lang.String getRemoteAccessPointList()

### setRemoteName

    public void setRemoteName(java.lang.String RemoteName)
                       throws javax.management.InvalidAttributeValueException

  Defines the remote name of the service. If not specified, the ResourceName attribute is used.

  Parameters:
    `RemoteName` - the remote interface name to use for this service

### getRemoteName

    public java.lang.String getRemoteName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference